gkreidl
Posts: 6223
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Broken dependencies of dev packages

Wed Dec 14, 2016 8:35 am

After installing the latest updates a number of dev packages have broken dependencies:

libxfont-dev: Depends on: libxfont1 (=1:1.5.1-1), but 1:1.5.2-1 will be installed

libva-dev: Depends on: libva1 (=1.4.1-1), but 1.7.2-1 will be installed

As a result other dev-packages are also broken, because they depend on libxfont-dev, e. g. xserver-xorg-dev

Compiling packages depending on those dev packages, e. g. VLC, is not possible at the moment.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 25479
Joined: Sat Jul 30, 2011 7:41 pm

Re: Broken dependencies of dev packages

Wed Dec 14, 2016 11:14 am

Thanks for the report, I'll flag it up.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed. Here's an example...
“I own the world’s worst thesaurus. Not only is it awful, it’s awful."

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 25479
Joined: Sat Jul 30, 2011 7:41 pm

Re: Broken dependencies of dev packages

Wed Dec 14, 2016 11:22 am

OK, this is a known issue and is being worked on right now. Hopefully will be a fix by end of today.

Sorry for the inconvenience.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed. Here's an example...
“I own the world’s worst thesaurus. Not only is it awful, it’s awful."

gkreidl
Posts: 6223
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Broken dependencies of dev packages

Wed Dec 14, 2016 11:25 am

I've already opened an issue at github.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 25479
Joined: Sat Jul 30, 2011 7:41 pm

Re: Broken dependencies of dev packages

Wed Dec 14, 2016 2:27 pm

Problem fixed, tested at RPF, just waiting for it to be propagated to the repos.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed. Here's an example...
“I own the world’s worst thesaurus. Not only is it awful, it’s awful."

spl23
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 381
Joined: Fri Dec 26, 2014 11:02 am

Re: Broken dependencies of dev packages

Wed Dec 14, 2016 4:23 pm

Files should be in the repos by now - please let us know if there are any missing.

Thanks for reporting the issue.

gkreidl
Posts: 6223
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Broken dependencies of dev packages

Wed Dec 14, 2016 6:25 pm

I had to manually install or update some dev packages but everything worked fine then.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

Return to “Raspbian”